# PSF-LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.InfantryLoadoutPage
PSF - LoginServer - master - net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.InfantryLoadoutPage
Keywords: PSF LoginServer master net.psforever.objects.serverobject.terminals.OrderTerminalDefinition.InfantryLoadoutPage

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package terminals
  Definition Classes
    serverobject
-  object OrderTerminalDefinition
  Definition Classes
    terminals
- ArmorPage
- ArmorWithAmmoPage
- CertificationPage
- EquipmentPage
- ImplantPage
- InfantryLoadoutPage
- LoadoutTab
- Tab
- VehicleLoadoutPage
- VehiclePage

c

net.psforever.objects.serverobject.terminals.OrderTerminalDefinition

# InfantryLoadoutPage

###

#### final case class InfantryLoadoutPage() extends LoadoutTab with Product with Serializable

The tab used to select which custom loadout the player is using. Player loadouts are defined by an exo-suit to be worn by the player and equipment in the holsters and the inventory. In this case, the reference to the player that is a parameter of the functions maintains information about the loadouts; no extra information specific to this page is necessary. If an exo-suit type is considered excluded, the whole loadout is blocked. If the exclusion is written as a `Tuple` object `(A, B)`, `A` will be expected as an exo-suit type, and `B` will be expected as its subtype, and the pair must both match to block the whole loadout. If any of the player's inventory is considered excluded, only those items will be filtered.

Source
  OrderTerminalDefinition.scala
See also

  `ExoSuitType`

  `Equipment`

  `InfantryLoadout`

  `Loadout`

Linear Supertypes
Serializable, Product, Equals, LoadoutTab, Tab, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InfantryLoadoutPage
2. Serializable
3. Product
4. Equals
5. LoadoutTab
6. Tab
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new InfantryLoadoutPage()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Buy(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     InfantryLoadoutPage → Tab
5.  def Dispatch(sender: ActorRef, terminal: Terminal, msg: TerminalMessage): Unit
   Definition Classes
     InfantryLoadoutPage → Tab
6.  def Exclude: Seq[Any]
   Definition Classes
     LoadoutTab
7.  def Exclude_=(equipmentList: Seq[Any]): Seq[Any]
   Definition Classes
     LoadoutTab
8.  def Exclude_=(equipment: Any): Seq[Any]
   Definition Classes
     LoadoutTab
9.  def Sell(player: Player, msg: ItemTransactionMessage): Exchange
   Definition Classes
     Tab
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
14.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
15.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
16.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from LoadoutTab

### Inherited from Tab

### Inherited from AnyRef

### Inherited from Any

### Ungrouped